<?php
/*##################################################
 *                               lastcoms.php
 *                            -------------------
 *   begin                : July 26, 2009
 *   copyright            : (C) 2009 ROGUELON Geoffrey
 *   email                : liaght@gmail.com
 *
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/
 
function comm_mini($position, $block)
{
	global $Sql, $Cache, $CONFIG_COMM;
	load_module_lang('comm'); //Chargement de la langue du module.
	$Cache->load('comm');
	if(isset($CONFIG_COMM['mmt']) && !empty($CONFIG_COMM['mmt'])) { define('NUM_COMS', $CONFIG_COMM['mmt']); }else{ define('NUM_COMS', 5);}
	if(isset($CONFIG_COMM['mml']) && !empty($CONFIG_COMM['mml'])) { define('NUM_CHAR', $CONFIG_COMM['mml']); }else{ define('NUM_CHAR', 20);} 

//	define('NUM_COMS', 5);
//	define('NUM_CHAR', 20);
	$level = array(0 => '', 1 => ' class="modo"', 2 => ' class="admin"');
	
	$tpl = new Template('comm/comm_mini.tpl');
    import('core/menu_service');
    MenuService::assign_positions_conditions($tpl, $block);
	import('util/url');

	$result = $Sql->query_while("SELECT c.idcom, c.user_id, c.login, c.contents, c.timestamp, c.path, c.script, m.level
		FROM " . DB_TABLE_COM . " AS c
		LEFT JOIN " . DB_TABLE_MEMBER . " AS m ON c.user_id = m.user_id
		ORDER BY c.timestamp DESC" . $Sql->limit(0, NUM_COMS), __LINE__, __FILE__);
	
	while ($row = $Sql->fetch_assoc($result))
	{
		$url = new Url($row['path']);

		$parse = parse_url($url->absolute());
		$query = htmlspecialchars_decode($parse['query']);
		parse_str($query, $str);
		
		$get = array();
		foreach ($str as $attr => $value)
			if (isset($value) && $attr != 'token')
				$get[$attr] = $value;

		$contents = strip_tags(second_parse($row['contents']));
		
		$tpl->assign_block_vars('coms', array(
			'LOGIN' => $row['login'],
			'PROFIL' => $row['user_id'] > 0 ? '../member/member' . url('.php?id=' . $row['user_id'], '-' . $row['user_id'] . '.php') : 0,
			'LEVEL' => $level[(!empty($row['level']) ? $row['level'] : '0')],
			'ETC' => strlen($contents) > NUM_CHAR ? '...' : '',
			'CONTENTS' => trim(substr($contents, 0, NUM_CHAR)),
			'DATE' => gmdate_format('d/m', $row['timestamp']),
			'PATH' => $parse['scheme'] . '://' . $parse['host'] . (!empty($parse['port']) ? ':' . $parse['port'] : '') . $parse['path'] . '?' . http_build_query($get, '', '&amp;') . '#m' . $row['idcom']
		));
	}
    
    $tpl->assign_vars(array(
    	'L_LAST_COMS' => $COMM_LANG['last_coms'],
    ));
    
    return $tpl->parse(TEMPLATE_STRING_MODE);
}

?>
